#
View Source Ash.Resource.Calculation.Builtins (ash v2.4.22)

Built in calculations that are automatically imported in the calculations section

# Link to this section Summary

## Functions

concat(keys, separator \\ "")

An example concatenation calculation, that accepts the delimiter as an argument

# Link to this section Functions

Link to this function

# concat(keys, separator \\ "")

View Source

    @spec concat(keys :: [atom()], separator :: String.t()) ::
      Ash.Resource.Calculation.ref()

An example concatenation calculation, that accepts the delimiter as an argument

##

examples

Examples

    calculate :full_name, concat([:first_name, :last_name], " ")